jQuery.alert = function(e, t) {
	$("div.ui-alert").remove();
	var m = Math.round(Math.random() * 10000);
	var n = '<div class="ui-alert" id="ui-alert-' + m + '" style="display:hidden;position:fixed;top:0;left:0;padding:15px 10px;min-width:100px;opacity:1;min-height:25px;text-align:center;color:#fff;display:block;z-index:2147483647;border-radius:3px;background:rgba(0,0,0,0.8);">' + e + "</div>";
	$("body").append(n);
	n = $('#ui-alert-' + m);
	n.click(function(){ n.remove() });		
	var i = $(window).width(),
	s = $(window).height(),
	o = n.width()+20,
	u = n.height(),
	l = (i - o) / 2;
	i > o && n.css("left", l),
	i > o && n.css("right", l),
	s > u && n.css("top", (s - u) / 2 - 15),
	l < 5 && n.css("margin", "0 5px"),
	n.show();
	if (t === !1) return;
	setTimeout(function() { n.remove() }, t || 2500)
};